Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lejos.nxt
Class NXTe

    java.lang.Object
      lejos.nxt.I2CSensor
          lejos.nxt.NXTe

All Implemented Interfaces:
  SensorConstants

    public class NXTe

extends I2CSensor

Abstraction for a Lattebox NXT Extension Kit with Lattebox 10-Axis Servo Kit http://www.lattebox.com The physical design is: ********************************* * NXT PORT * * NXT PORT SC4 SC3 SC2 SC1 * * NXT PORT PIN SC4 SC3 SC2 SC1 * * NXT PORT SC4 SC3 SC2 SC1 * * SC4 SC3 SC2 SC1 * * * * PIN * * * *********************************

Author:
  Juan Antonio Brenha Moral

Field Summary
`static byte` | `NXTE_ADDRESS`

Fields inherited from interface lejos.nxt.SensorConstants
`MODE_ANGLESTEP, MODE_BOOLEAN, MODE_CELSIUS, MODE_FARENHEIT, MODE_PCTFULLSCALE, MODE_PERIODCOUNTER, MODE_RAW, MODE_TRANSITIONCNT, TYPE_ANGLE, TYPE_CUSTOM, TYPE_LIGHT_ACTIVE, TYPE_LIGHT_INACTIVE, TYPE_LOWSPEED, TYPE_LOWSPEED_9V, TYPE_NO_SENSOR, TYPE_REFLECTION, TYPE_SOUND_DB, TYPE_SOUND_DBA, TYPE_SWITCH, TYPE_TEMPERATURE`

Constructor Summary
`NXTe(SensorPort port)` Constructor

Method Summary
`void` | `addLSC(int SPI_PORT)` Add a LSC
`LSC` | `getLSC(int index)` Get a LSC

Methods inherited from class lejos.nxt.I2CSensor
`getData, getPort, getProductID, getSensorType, getVersion, sendData, sendData, setAddress`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait`

Field Detail

### NXTE_ADDRESS

    public static final byte NXTE_ADDRESS

See Also:
  Constant Field Values

Constructor Detail

### NXTe

    public NXTe(SensorPort port)
         throws Exception

  Constructor

  Parameters:
    `port` -
  Throws:
    `Exception`

Method Detail

### addLSC

    public void addLSC(int SPI_PORT)
                throws Exception

  Add a LSC

  Parameters:
    `SPI_PORT` -
  Throws:
    `Exception`

### getLSC

    public LSC getLSC(int index)

  Get a LSC

  Parameters:
    `index` -
  Returns:
    LSC

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD